> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Insider transactions dataset

> Use this endpoint to retrieve the Insider transactions dataset.

You can get the whole dataset by omitting all parameters.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/datasets/insider_transactions
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/datasets/insider_transactions:
    get:
      tags:
        - Datasets
      summary: Get the Insider transactions dataset
      description: |
        Use this endpoint to retrieve the Insider transactions dataset.

        You can get the whole dataset by omitting all parameters.
      parameters:
        - name: project_ids
          in: query
          description: >
            Allows you to select one or more of the projects available in the
            dataset. When including multiple projects, separate each one with a
            comma. Example: `tether,circle`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - uniswap
        - name: chain_ids
          in: query
          description: >
            Allows you to select one or more of the chains available in the
            dataset. When including multiple chains, separate each one with a
            comma. Example: `ethereum,arbitrum`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - ethereum
            - arbitrum
        - name: order_by
          in: query
          description: |
            Allows you to select a field by which the response array is sorted.
          schema:
            type: string
            format: string
          example: timestamp
        - name: order_direction
          in: query
          description: >
            Allows you to define order direction for the field selected in
            `order_by`. If no order_direction is selected, the response defaults
            to `asc`.
          schema:
            type: string
            format: string
          example: desc
        - name: limit
          in: query
          description: >-
            Limit the number of results returned. Usage through API reference
            has max limit of 50.
          schema:
            type: number
            format: number
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: The object containing the data for a successful response.
                    properties:
                      timestamp:
                        type: string
                        description: The timestamp of the transaction
                      project_name:
                        type: string
                        description: The name of the project
                      project_id:
                        type: string
                        description: The ID of the project
                      market_sector_id:
                        type: string
                        description: The market sector's ID
                      market_sector_name:
                        type: string
                        description: The market sector's name
                      chain_id:
                        type: string
                        description: The chain ID of the project
                      chain_name:
                        type: string
                        description: The name of the chain
                      token_standard:
                        type: string
                        description: The token standard of the token
                      token_symbol:
                        type: string
                        description: The symbol of the token
                      token_address:
                        type: string
                        description: The address of the token
                      insider_account_address:
                        type: string
                        description: The address of the insider
                      insider_account_title:
                        type: string
                        description: The title of the insider's account
                      counterparty_account_address:
                        type: string
                        description: The address of the counterparty
                      counterparty_account_title:
                        type: string
                        description: The title of the counterparty's account
                      transaction_hash:
                        type: string
                        description: The hash of the transaction
                      transaction_type:
                        type: string
                        description: >-
                          The type of the transaction. E.g. Transfer, CEX
                          Withdrawal, DEX trade, CEX Deposit, CEX Internal
                      transaction_number:
                        type: string
                        description: The nth transfer of the token done by the insider
                      dex_name:
                        type: string
                        description: The name of the DEX where the transaction took place
                      action_type:
                        type: string
                        description: Type of action e.g. Buy or Sell
                      amount_native:
                        type: number
                        description: The amount of tokens involved in the transaction
                      amount_usd:
                        type: number
                        description: The USD value of tokens involved in the transaction
                      flow_usd:
                        type: number
                        description: The USD flow in the transaction
                      percentage_of_position:
                        type: number
                        description: The percentage of the position
                      post_transaction_position:
                        type: number
                        description: The insider's position after the transaction
                      position_creation_timestamp:
                        type: string
                        description: The timestamp when the insider's position was created
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````